<ion-header class="ion-no-border">
  <ion-toolbar>
    <div class="ion-float-left ">
      <img class="header-logo" src="../../assets/images/aBull Logo new1.png" alt="abull logo" />
    </div>
    <div class="ion-float-right">
      <img class="bell-icon" src="../../assets/icon/Component 11 – 2.svg" alt="bell icon" />
    </div>
  </ion-toolbar>
</ion-header>

<ion-content>

  <ion-grid>
    <ion-row>
      <ion-col size="12" sizeLg="9"  class="ion-align-self-center" *ngIf="!postsList || !postsList.length">
        <div class="content-center-w">
          <h1> No Posts Available.</h1>
        </div>
        </ion-col>
      <ion-col size="12" sizeLg="9"  class="ion-align-self-center">
        <div class="content-center-w">


          <ng-container *ngFor="let post of postsList">

            <ion-item lines="none" style="margin-top: 15px;">
              <ion-avatar slot="start">
                <img src="https://gravatar.com/avatar/dba6bae8c566f9d4041fb9cd9ada7741?d=identicon&f=y">
              </ion-avatar>
              <ion-label style="padding: 0 0.5rem;">
                <h3>{{post?.Moderator?.first_name}} {{post?.Moderator?.last_name}}</h3>
                <p><img class="trading-icon" src="/assets/icon/Trading-3.svg" alt="trading">
                  <img class="trading-icon" src="/assets/icon/Trading-3.svg" alt="trading">
                  <img class="trading-icon" src="/assets/icon/Trading-3.svg" alt="trading">
                  <img class="trading-icon" src="/assets/icon/Trading-3.svg" alt="trading">
                  <img class="trading-icon" src="/assets/icon/Trading-3.svg" alt="trading">
                </p>
              </ion-label>
              <div class="ion-text-right" style="color: #777777; font-size: .8rem;">
                <ul (click) = "onPostClick(post)">
                  <li>{{post.createdAt | date:"mediumDate"}}</li>
                </ul>

              </div>

            </ion-item>
            <div class="page-info home-content">
              <div class="ion-padding text-content hand" (click) = "onPostClick(post)">
                <h1 >{{post.title}}</h1>
                <div [innerHtml]="post.description">

                </div>

              </div>


              <div class="banner-img hand" *ngIf="post?.file" (click) = "onPostClick(post)">
                <img src="{{post.file}}" alt="">
              </div>


              <!-- <ion-footer class="ion-no-border ion-padding">
                <div class="bottom-align-item">
                  <ion-button color="primary">
                    <img src="../../assets/icon/ic_thumb_up_24px-1.svg" alt="">&nbsp;<span>203&nbsp;Likes</span>
                  </ion-button>


                  <ion-button color="success">
                    <img src="../../assets/icon/Component 17 – 1.svg" alt="">&nbsp;<span>02&nbsp;comments</span>
                  </ion-button>

                  <ion-button color="danger">
                    <img src="../../assets/icon/Path 58-1.svg" alt="">&nbsp;<span>Share</span>
                  </ion-button>
                </div>




              </ion-footer> -->
            </div>


          </ng-container>

  <!-- static -1 -->

          <!-- <ion-item lines="none" style="margin-top: 15px;">
            <ion-avatar slot="start">
              <img src="https://gravatar.com/avatar/dba6bae8c566f9d4041fb9cd9ada7741?d=identicon&f=y">
            </ion-avatar>
            <ion-label style="padding: 0 0.5rem;">
              <h3>Moderator 1</h3>
              <p><img class="trading-icon" src="/assets/icon/Trading-3.svg" alt="trading">
                <img class="trading-icon" src="/assets/icon/Trading-3.svg" alt="trading">
                <img class="trading-icon" src="/assets/icon/Trading-3.svg" alt="trading">
                <img class="trading-icon" src="/assets/icon/Trading-3.svg" alt="trading">
                <img class="trading-icon" src="/assets/icon/Trading-3.svg" alt="trading">
              </p>
            </ion-label>
            <div class="ion-text-right" style="color: #777777; font-size: .8rem;">
              <ul>
                <li>3 mins ago</li>
              </ul>

            </div>

          </ion-item>
          <div class="page-info home-content">
            <div class="ion-padding text-content">
              <h1>lorem ipsum dolor sit amet,</h1>
              <p>Lorem ipsum dolor sit amet consectetur adipisicing elit. Vitae perferendis dignissimos autem
                necessitatibus
                porro
                alias optio enim voluptatem facere ea cumque reprehenderit doloremque quasi modi,</p>
            </div>


            <div class="banner-img">
              <img src="https://cdn.pixabay.com/photo/2014/05/02/21/50/laptop-336378__480.jpg" alt="">
            </div>


            <ion-footer class="ion-no-border ion-padding">
              <div class="bottom-align-item">
                <ion-button color="primary">
                  <img src="../../assets/icon/ic_thumb_up_24px-1.svg" alt="">&nbsp;<span>203&nbsp;Likes</span>
                </ion-button>


                <ion-button color="success">
                  <img src="../../assets/icon/Component 17 – 1.svg" alt="">&nbsp;<span>02&nbsp;comments</span>
                </ion-button>

                <ion-button color="danger">
                  <img src="../../assets/icon/Path 58-1.svg" alt="">&nbsp;<span>Share</span>
                </ion-button>
              </div>




            </ion-footer>
          </div> -->

          <!-- static-2 -->
          <!-- <ion-item lines="none" style="margin-top: 15px;">
            <ion-avatar slot="start">
              <img src="https://gravatar.com/avatar/dba6bae8c566f9d4041fb9cd9ada7741?d=identicon&f=y">
            </ion-avatar>
            <ion-label style="padding: 0 0.5rem;">
              <h3>Moderator 1</h3>
              <p><img class="trading-icon" src="/assets/icon/Trading-3.svg" alt="trading">
                <img class="trading-icon" src="/assets/icon/Trading-3.svg" alt="trading">
                <img class="trading-icon" src="/assets/icon/Trading-3.svg" alt="trading">
                <img class="trading-icon" src="/assets/icon/Trading-3.svg" alt="trading">
                <img class="trading-icon" src="/assets/icon/Trading-3.svg" alt="trading">
              </p>
            </ion-label>
            <div class="ion-text-right" style="color: #777777; font-size: .8rem;">
              <ul>
                <li>3 mins ago</li>
              </ul>

            </div>

          </ion-item>
          <div class="page-info home-content">
            <div class="ion-padding text-content">
              <h1>lorem ipsum dolor sit amet,</h1>
              <p>Lorem ipsum dolor sit amet consectetur adipisicing elit. Vitae perferendis dignissimos autem
                necessitatibus
                porro
                alias optio enim voluptatem facere ea cumque reprehenderit doloremque quasi modi, veritatis ratione,
                labore
                reiciendis quis amet voluptatum odit iusto ipsam? Qui earum dolorum dolorem. Nostrum beatae esse in
                nesciunt
                facere consectetur laboriosam error debitis enim?</p>
            </div>


            <div class="banner-img">
              <img src="https://cdn.pixabay.com/photo/2014/05/02/21/50/laptop-336378__480.jpg" alt="">
            </div>


            <ion-footer class="ion-no-border ion-padding">
              <div class="bottom-align-item">
                <ion-button color="primary" fill="outline">
                  <img src="../../assets/icon/ic_thumb_up_24px.svg" alt="">&nbsp;<span>203&nbsp;Likes</span>
                </ion-button>


                <ion-button color="success" fill="outline">
                  <img src="../../assets/icon/Component 18 – 1.svg" alt="">&nbsp;<span>02&nbsp;comments</span>
                </ion-button>

                <ion-button color="danger" fill="outline">
                  <img src="../../assets/icon/Path 58.svg" alt="">&nbsp;<span>Share</span>
                </ion-button>
              </div>




            </ion-footer>
          </div> -->

        </div>
      </ion-col>
      <ion-col class="12" sizeLg="3">

      </ion-col>
    </ion-row>
  </ion-grid>

</ion-content>
